/**
     *\file scalingSelector.h
     *
     *\brief 用来实现图元缩放的selector
     *\author dsc
     */

#ifndef SCALINGSELECTOR_H
#define SCALINGSELECTOR_H

#include "baseSelector.h"

class ScalingSelector : public BaseSelector
{
    Q_OBJECT

public:
    explicit ScalingSelector(QObject *parent = 0);
    virtual ~ScalingSelector();

public:
    void mousePressEvent(QGraphicsSceneMouseEvent*, DesignerScene*);
    void mouseMoveEvent(QGraphicsSceneMouseEvent*, DesignerScene*);
    void mouseReleaseEvent(QGraphicsSceneMouseEvent*, DesignerScene*);

private:
    QPointF m_scalBasePoint;
};

#endif
